Skip to main content
GET
/
public_treasury
/
{entity_id}
Crypto Treasury Holdings by Entity ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/public_treasury/{entity_id} \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "name": "Strategy",
  "id": "strategy",
  "type": "company",
  "symbol": "MSTR.US",
  "country": "US",
  "website_url": "https://www.strategy.com/",
  "twitter_screen_name": "Strategy",
  "total_treasury_value_usd": 48119580010.663155,
  "unrealized_pnl": -6554973853.336845,
  "m_nav": 0.99,
  "total_asset_value_per_share_usd": 150.46302495438903,
  "holdings": [
    {
      "coin_id": "bitcoin",
      "amount": 714644,
      "percentage_of_total_supply": 3.403,
      "amount_per_share": 0.0022345892873893874,
      "entity_value_usd_percentage": 100,
      "current_value_usd": 48119580010.663155,
      "total_entry_value_usd": 54674553864,
      "average_entry_value_usd": 76506,
      "unrealized_pnl": -6554973853.336845,
      "holding_amount_change": {
        "7d": 1142,
        "14d": 1997,
        "30d": 27234,
        "90d": 72952,
        "1y": 235904,
        "ytd": 42144
      },
      "holding_change_percentage": {
        "7d": 0.16,
        "14d": 0.28,
        "30d": 3.962,
        "90d": 11.369,
        "1y": 49.276,
        "ytd": 6.267
      }
    }
  ]
}

Note

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

entity_id
string
default:strategy
required

public company or government entity ID *refers to /entities/list.

Example:

"strategy"

Query Parameters

holding_amount_change
string

include holding amount change for specified timeframes, comma-separated if querying more than 1 timeframe Valid values: 7d, 14d, 30d, 90d, 1y, ytd

holding_change_percentage
string

include holding change percentage for specified timeframes, comma-separated if querying more than 1 timeframe Valid values: 7d, 14d, 30d, 90d, 1y, ytd

Response

200 - application/json

Get public companies & governments crypto treasury holding data

name
string

entity name

id
string

entity ID

type
string

entity type: company or government

symbol
string

stock market symbol for public company

country
string

country code of company or government location

website_url
string

official website URL of the entity

twitter_screen_name
string

official Twitter handle of the entity

total_treasury_value_usd
number

total current value of all holdings in USD

unrealized_pnl
number

unrealized profit and loss (current value - total entry value)

m_nav
number

market to net asset value ratio

total_asset_value_per_share_usd
number

total asset value per share in USD

holdings
object[]

list of cryptocurrency assets held by the entity